CRMchat APIBeta
Telegram APIPayments

payments.getStarGiftAuctionAcquiredGifts

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getStarGiftAuctionAcquiredGifts

Fetches all the gifts that the current user won in an auction.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Fetches all the gifts that the current user won in an auction.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarGiftAuctionAcquiredGifts" \  -H "Content-Type: application/json" \  -d '{    "params": {      "giftId": "string"    }  }'
{  "result": {    "_": "payments.starGiftAuctionAcquiredGifts",    "gifts": [      {        "_": "starGiftAuctionAcquiredGift",        "nameHidden": true,        "peer": {          "_": "peerUser",          "userId": 0        },        "date": 0,        "bidAmount": "string",        "round": 0,        "pos": 0,        "message": {          "_": "textWithEntities",          "text": "string",          "entities": [            {              "_": "messageEntityUnknown",              "offset": 0,              "length": 0            }          ]        },        "giftNum": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ]  }}